### Method

# Gck Attribute init

#### Declaration [src]

    void
    gck_attribute_init (
      GckAttribute* attr,
      gulong attr_type,
      const guchar* value,
      gsize length
    )

#### Description [src]

Initialize a PKCS#11 attribute. This copies the value memory into an internal buffer.

When done with the attribute you should use `gck_attribute_clear()` to free the internal memory.

This method is not directly available to language bindings.

#### Parameters

`attr_type`

  Type: `gulong`

  The PKCS#11 attribute type to set on the attribute.

`value`

  Type: An array of `guchar`

  The raw value of the attribute.

  The length of the array is specified in the `length` argument.
  The data is owned by the caller of the method.

`length`

  Type: `gsize`

  The length of the raw value.